package com.ruoyi.project.sems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特种设备文件对象 t_spec_file
 *
 * @author ruoyi
 * @date 2021-08-02
 */
public class TSpecFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 文件url */
    @Excel(name = "文件url")
    private String fileUrl;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private Long fileType;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Long devType;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createrDate;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;
    /** 删除标识 */
    private Long delFlag;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setFileType(Long fileType)
    {
        this.fileType = fileType;
    }

    public Long getFileType()
    {
        return fileType;
    }
    public void setDevType(Long devType)
    {
        this.devType = devType;
    }

    public Long getDevType()
    {
        return devType;
    }
    public void setCreaterDate(Date createrDate)
    {
        this.createrDate = createrDate;
    }

    public Date getCreaterDate()
    {
        return createrDate;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileName", getFileName())
            .append("fileUrl", getFileUrl())
            .append("fileType", getFileType())
            .append("devType", getDevType())
            .append("createrDate", getCreaterDate())
            .append("createrCode", getCreaterCode())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
